function caclMenuCornerPos(obj) {
  var hover_a = $(obj).children("a").first();
  if($(hover_a).html() == null) return;
  var l = $(hover_a).offset().left;
  var h = $("#menu ul li .sel").height() - 1;

  if(l > 500) {
    var w = $("#menu ul li .sel").width();
    var wb = $(hover_a).width();
    //console.log("l="+l+" w="+w+" wb="+wb);
    if(jQuery.browser.msie && jQuery.browser.version < 8) { //test: ie7
      w = w + 24;
    }
    $("#menu ul li .sel").css("left", l-w+wb-6);
  }

  $("#menu ul li .sel .submcl").css("top", h);
  $("#menu ul li .sel .submcl").css("left", "-10px");
  $("#menu ul li .sel .submcr").css("top", h);
  $("#menu ul li .sel .submcr").css("left", "20px");
}

function active_tab(obj) {
  if(obj == undefined) return;

  var old_id = $(obj).parent().parent().children(".active").children("a").attr("id");
  $(obj).parent().parent().children(".active").removeClass("active");
  $(obj).parent().addClass("active");
  $("#cont_"+old_id).hide();
  $("#cont_"+$(obj).attr("id")).show();
}

var fz = 1;
function setSize(obj)
{
     var cook = $.cookie('id');
     if(obj == undefined && (cook == undefined || cook == 'font_avg')) return;
     if(obj == undefined ) {
       obj = $("#"+cook);
     }
     $.cookie('id', $(obj).attr("id"), {expires: 7, path: '/'});

     $(obj).parent().children(".used").removeClass('used');
     $(obj).addClass('used');

     var fzz = 0;

     if($(obj).attr('id') == 'font_small') {
       if(fz == 1) fzz = -4;
       if(fz == 2) fzz = -8;
       $('#tmain, #tmain *, .submenu, .submenu *').each(function (i) {
          $(this).css('fontSize', parseInt($(this).css('fontSize'))+fzz);
       });
       fz = 0;
     } else if($(obj).attr('id') == 'font_avg') {
       if(fz == 0) fzz = 4;
       if(fz == 2) fzz = -4;
       $('#tmain, #tmain *, .submenu, .submenu *').each(function (i) {
          $(this).css('fontSize', parseInt($(this).css('fontSize'))+fzz);
       });
       fz = 1;
     } else {
       if(fz == 0) fzz = 8;
       if(fz == 1) fzz = 4;
       $('#tmain, #tmain *, .submenu, .submenu *').each(function (i) {
          $(this).css('fontSize', parseInt($(this).css('fontSize'))+fzz);
       });
       fz = 2;
     }
     return false;
}

$(document).ready(function() {
  //bug fix
  setInterval(function() {
    $(".bx-fd-top-contr-tbl td:first-child").css("width", "300px");
  }, 500);

  //форма поиска
  $("#srch input").focusin(function() {
    if($(this).attr('value') == 'Поиск...') {
      $(this).attr('value', '');
    }
  }).focusout(function() {
    if($(this).attr('value') == '') {
      $(this).attr('value', 'Поиск...');
    }
  });

  //1. наведение на кнопку
  $("#menu .m").hover(function() {
    //удалим уже выделенное меню
    $("#menu *").removeClass("sel");
    //навесим новое выделение
    $(this).children(".submenu").addClass("sel");

    caclMenuCornerPos(this);
  }, function() {
      $("#menu *").removeClass("sel");
  });
  //2. наведение на подменю
  $("#menu .m .submenu").hover(function() {
    //позиция уже рассчитана, просто не дадим скрыться
    $(this).parent().addClass("sel");
  }, function() {
    //$("#menu *").removeClass("sel"); //??
  });
  //подгрузим картинки
  $("#slider ul li").each(function() {
    var i = new Image();
    i.src = $(this).attr("rel");
  });
  //3. главные новости
  $("#slider ul li").hover(function() {
    $("#slider ul li").removeClass("active");
    $(this).addClass("active");
    var id = parseInt($(this).attr("id"));
    if(id == 1) {
      $("#slider #cur").css("backgroundPosition", "right 15px");
    } else if(id == 3) {
      $("#slider #cur").css("backgroundPosition", "right 145px");
    } else {
      $("#slider #cur").css("backgroundPosition", "right 80px");
    }
    var src = $(this).attr("rel");
    $("#slider #img img").attr("src", src);
    $("#slider #img img").hide();
    $("#slider #img img").fadeIn(500);
  }, function() {
    //$("#slider ul li").removeClass("active");
  });

  //размер шрифта
  $("#font_ch a").click(function() {
     setSize(this);
  });

  var w = $(window).width();
  if(w < 1200) {
    if(jQuery.browser.msie) {
      $("#menu ul .ma").css('maxWidth', w * 0.07);//0.1174
    } else {
      $("#menu ul .ma").css('maxWidth', w * 0.115);//0.1174
    }
  } else {
    $("#sect").css('width', '410px');
    if(jQuery.browser.msie && jQuery.browser.version < 8) { //test: ie7
      $("#menu ul li").css("width", "160px");
      $("#menu ul .ma, #menu .sel .ma").css("width", "160px");
    }
  }
  $(window).resize(function() {
     var ww = $(window).width();
     if(ww < 1200) {
       if(jQuery.browser.msie) {
         $("#menu ul .ma").css('maxWidth', w * 0.07);//0.1174
       } else {
         $("#menu ul .ma").css('maxWidth', w * 0.115);//0.1174
       }
       $("#sect").css('width', '205px');
     } else {
       $("#menu ul .ma").css('maxWidth', 180);
       $("#sect").css('width', '410px');
     }
  });

  /*if(jQuery.browser.webkit) {
    $("#menu ul .ma").height('54px');
  }*/
  setSize(undefined);

  //подгрузим уголки
  var pic = new Image();
  pic.src = "/bitrix/templates/zso_2012/img/smcornerl.gif";
  var pic1 = new Image();
  pic1.src = "/bitrix/templates/zso_2012/img/smcornerr.gif";
  var pic2 = new Image();
  pic2.src = "/bitrix/templates/zso_2012/img/submenubg.gif";

  //таб
  var hash = location.href.split("#");
  if(hash[1] != "" && hash[1] != undefined) {
	active_tab($("#tab_"+hash[1]));
  }
});

function showSlide(o, sh, hd) {
  $(o).parent().children("a").removeClass('cur');
  $('#'+hd).fadeOut(150, function() {
    $('#'+sh).fadeIn(300);
  });
  $(o).addClass('cur');
  return false;
}

function ImgShwEx(ID, alt) {
  var img = new Image();
  img.src = ID;
  img.onload = function(){ _ImgShw(this.src,this.width,this.height,alt); };
  return false;
}

function _ImgShw(ID, width, height, alt) {
	var scroll = "no";
	var top=0, left=0;
	if(width > screen.width-10 || height > screen.height-28) scroll = "yes";
	if(height < screen.height-28) top = Math.floor((screen.height - height)/2-14);
	if(width < screen.width-10) left = Math.floor((screen.width - width)/2-5);
	width = Math.min(width, screen.width-10);
	height = Math.min(height, screen.height-28);
	var wnd = window.open("","","scrollbars="+scroll+",resizable=yes,width="+width+",height="+height+",left="+left+",top="+top);
	wnd.document.write(
		"<html><head>"+
		"<"+"script type=\"text/javascript\">"+
		"function KeyPress()"+
		"{"+
		"	if(window.event.keyCode == 27) "+
		"		window.close();"+
		"}"+
		"</"+"script>"+
		"<title>"+(alt == ""? "Картинка":alt)+"</title></head>"+
		"<body topmargin=\"0\" leftmargin=\"0\" marginwidth=\"0\" marginheight=\"0\" onKeyPress=\"KeyPress()\">"+
		"<img src=\""+ID+"\" border=\"0\" alt=\""+alt+"\" />"+
		"</body></html>"
	);
	wnd.document.close();
}